Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Commits on May 10, 2011
  1. Add Nick to CREDITS

    authored
  2. Version bump to 0.3.4

    authored
Commits on May 9, 2011
  1. Merge pull request #20 from zapnap/rspec2

    authored
    Rspec2
  2. Merge pull request #19 from zapnap/master

    authored
    Ruby 1.9.2 compatibility tested OK (minor cleanup / changes)
Commits on May 8, 2011
  1. @zapnap

    Ignore generated coverage info

    zapnap authored
  2. @zapnap

    Update to rspec2.x

    zapnap authored
  3. @zapnap
  4. @zapnap

    don't undefine object_id

    zapnap authored
  5. Merge pull request #18 from rdvdijk/master

    authored
    Fixed 1.9 compatibility
Commits on Feb 28, 2011
  1. Fix tests.

    Roel van Dijk authored
Commits on Feb 25, 2011
  1. Remove duplicate test.

    Roel van Dijk authored
  2. Fix binary for 1.9.

    Roel van Dijk authored
  3. Test and fix source.

    Roel van Dijk authored
  4. Add binary spec.

    Roel van Dijk authored
  5. Fixed 1.9 compatibility issues.

    Roel van Dijk authored
Commits on Dec 11, 2010
  1. @cjwoodwardtest

    Fixed up 1.9 compatability issue

    cjwoodwardtest authored committed
Commits on Dec 10, 2010
  1. Version bump to 0.3.2

    authored
Commits on Oct 19, 2010
Commits on Sep 29, 2010
  1. @bsears

    Added -o flag to unzip command in binary installer

    bsears authored
    Fix for crafterm/sprinkle#9
  2. @bsears

    Adds a "has_apt" verifier.

    bsears authored
    Resolves crafterm/sprinkle#8
  3. @bsears

    Make OPTIONS[:verbose] set Sprinkle::OPTIONS[:verbose]

    bsears authored
    Fix for crafterm/sprinkle#12
  4. @bsears

    Fix for ActiveSupport 3.0

    bsears authored
    Resolves crafterm/sprinkle#4
Commits on Aug 8, 2010
  1. @mlooney

    minor cleanup and improvement. major improvement to process verifier.

    mlooney authored
    threw in the new ssl code for gateways
    removed some logging
    made process verifier actually work correctly (man processes can match
    the old regex, including various possibly concurrent verifier processes)
  2. @mlooney
  3. @mlooney

    ssh driver fixed

    mlooney authored
Commits on Aug 7, 2010
  1. @mlooney
Commits on Jul 17, 2010
Commits on Jul 15, 2010
  1. @sunaku

    allow gem version constraint syntax when verifying installed gems

    sunaku authored
    This lets you specify required gem versions using the standard RubyGems
    version constraint syntax (e.g. '< 4.0' and '~> 3.4.2') during the gem
    installation phase and also during the installed gem verification phase.
  2. @sunaku

    allow passing pre-downloaded file path to source()

    Chetan Patil authored sunaku committed
    We cannot rely on source packages being available online forever!
Commits on Jul 14, 2010
Something went wrong with that request. Please try again.